/**
 * Copyright
 * All right reserved.
 * 项目名称:
 * 创建日期:2022/5/22
 */
package org.springblade.etl;


import lombok.extern.slf4j.Slf4j;
import org.springblade.etl.service.IEtlAdCdService;
import org.springblade.modules.baseinfo.region.service.IBaseInfoRegionService;
import org.springframework.data.redis.core.RedisTemplate;

import java.util.concurrent.Callable;

/***
 * Date:2022/5/22
 * Title: 行政区划数据抽取
 * Description：
 * @author swp
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
@Slf4j
public class EtlRegionDataTask implements Callable<Integer> {

	private RedisTemplate redisTemplate;
	private IEtlAdCdService etlAdCdService;
	private IBaseInfoRegionService regionService;


	EtlRegionDataTask(RedisTemplate redisTemplate, IEtlAdCdService etlAdCdService, IBaseInfoRegionService regionService) {
		this.redisTemplate = redisTemplate;
		this.etlAdCdService = etlAdCdService;
		this.regionService = regionService;
	}

	@Override
	public Integer call() {
		try {
			log.info("行政区划数据抽取开始**************");



		} catch (Exception e) {
			log.error("实时数据统计任务异常 {}", e.getMessage());
		}
		return 0;
	}
}
